Subject: bug#44784: Combining accent is not combining

From: Stephen Berman <[email-masked]>
Date: Sun, 22 Nov 2020 17:28:09 +0100

On Sun, 22 Nov 2020 17:28:08 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: Juri Linkov <[email-masked]>,  [email-masked]
>> Date: Sun, 22 Nov 2020 11:12:03 +0100
>> 
>> > The 2 vectors you show above, let alone the "composed with" part,
>> > explicitly say they _were_ composed.  So something else is going on
>> > here.
>> 
>> I think it's a display problem with DejaVu Sans Mono, as you already
>> noted.  I also see what Juri sees, but when the cursor appears to be
>> over the separately displayed accent, `C-u C-x =' says the character at
>> point is SPC.
>
> Right.  I think the discussion on the HarfBuzz list to which I pointed
> explains what happens: the problematic fonts don't provide the
> information necessary to correctly locate the accent over some
> character (specifically, precomposed characters that are already
> accented).  The [0 0 0] part of the second glyph in the composition
> info is a telltale sign of lack of that information: if you try the
> same with a font where display is correct, you will see that the first
> 2 components are non-zero (notably, the first component should be
> negative).

FTR, here's what `C-u C-x =' shows for the correct and incorrect
displays, respectively:

Composed with the following character(s) "́" using this font:
  ftcrhb:-PfEd-DejaVu Sans-normal-normal-normal-*-13-*-*-*-*-0-iso10646-1
by these glyphs:
  [0 1 1110 243 4 1 3 7 0 nil]
  [0 1 769 690 0 -5 -1 11 -7 [1 0 0]]
with these character(s):
  ́ (#x301) COMBINING ACUTE ACCENT

Composed with the following character(s) "́" using this font:
  ftcrhb:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
by these glyphs:
  [0 1 1110 917 8 1 8 10 0 nil]
  [0 1 769 649 8 3 8 11 -8 [0 0 0]]
with these character(s):
  ́ (#x301) COMBINING ACUTE ACCENT

Steve Berman